Package org.jboss.resteasy.api.validation

## Class ResteasyConstraintViolation

- java.lang.Object
- - org.jboss.resteasy.api.validation.ResteasyConstraintViolation

- All Implemented Interfaces:
    `Serializable`

      public class ResteasyConstraintViolation
      extends Object
      implements Serializable

  Version:
    $Revision: 1.1 $ Copyright Jun 4, 2013
  Author:
    Ron Sigal
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyConstraintViolation()` |
    `ResteasyConstraintViolation​(ConstraintType.Type constraintType, String path, String message, String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConstraintType.Type` | `getConstraintType()` |
    `String` | `getMessage()` |
    `String` | `getPath()` |
    `String` | `getValue()` |
    `void` | `setConstraintType​(ConstraintType.Type constraintType)` |
    `void` | `setMessage​(String message)` |
    `void` | `setPath​(String path)` |
    `void` | `setValue​(String value)` |
    `String` | `toString()` |
    `String` | `type()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyConstraintViolation

          public ResteasyConstraintViolation​(ConstraintType.Type constraintType,
                                             String path,
                                             String message,
                                             String value)

    - #### ResteasyConstraintViolation

          public ResteasyConstraintViolation()

  - ### Method Detail

    - #### getConstraintType

          public ConstraintType.Type getConstraintType()

      Returns:
        type of constraint

    - #### getPath

          public String getPath()

      Returns:
        description of element violating constraint

    - #### getMessage

          public String getMessage()

      Returns:
        description of constraint violation

    - #### getValue

          public String getValue()

      Returns:
        object in violation of constraint

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      Returns:
        String representation of violation

    - #### type

          public String type()

      Returns:
        String form of violation type

    - #### setConstraintType

          public void setConstraintType​(ConstraintType.Type constraintType)

    - #### setPath

          public void setPath​(String path)

    - #### setMessage

          public void setMessage​(String message)

    - #### setValue

          public void setValue​(String value)